Bug 1419400 - [RFE] Don't ship unsupported xlators in RHGS
Summary: [RFE] Don't ship unsupported xlators in RHGS
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Mohit Agrawal
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1408949 1468983
TreeView+ depends on / blocked
 
Reported: 2017-02-06 03:42 UTC by Nithya Balachandran
Modified: 2020-02-13 06:54 UTC (History)
8 users (show)

Fixed In Version: glusterfs-6.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-13 06:54:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nithya Balachandran 2017-02-06 03:42:54 UTC
Description of problem:
RHGS currently ships all xlators in the code base, including those that are not supported by Red Hat. This can sometimes cause issues when customers try out features which are not supported downstream.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 10 Amar Tumballi 2018-12-13 10:19:22 UTC
Lets get this done in upstream, and then get this to downstream, eventually? Anyways, the work towards this is started upstream #bz1635688

Comment 14 Amar Tumballi 2019-04-30 17:01:29 UTC
Shweta,

Here is what I think of it.

> I suppose the verification of this bug would include 
> 
> * to check if the corresponding volume options related to the xlators mentioned in comment 6 and 9 to either not be configurable at all, OR to display a warning if an attempt is made to enable the same (?)

Agree!

> * To enable these xlators (need to know how) in a previous release (say 3.4.x) and then try to upgrade to 3.5 and validate if the update fails/aborts, stating a valid reason

Not critical. As these are 'deprecated' xlators already in 3.4.x releases (we are not deprecating anything new in 3.5.0, ie in 3.x series). You can skip it. Or, try it, but even if it fails, lets document the behavior.

> Additonal queries that would help in successfully validating this RFE:
> * Any other way to confirm the change in spec file (?) than the scenarios mentioned above?

Try `gluster system getspec VOLUME_NAME` (if the translator is on client side). Or else spec file.

But notice, we should be actually checking for '*.so' file (ie, translator image) in corresponding release path. Say, diff of content in

find /usr/lib/glusterfs/3.12.2/xlators/ 
find /usr/lib/glusterfs/6.0/xlators/

This is where this bug would be validated.

> * Any other volume options/xlators that have been disabled/discontinued , which are not made a mention of in comment 6 and 9 put together?

Not that I am aware of.

> * Any visible change in functionality/output-of-usual-commands to be expected with all the patches that have been linked to BZ1635688?

Nope. Nothing I am aware of.


Note You need to log in before you can comment on or make changes to this bug.